From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-vpn/vpnc/
Date: Tue, 27 Sep 2022 09:55:24 +0000 (UTC) [thread overview]
Message-ID: <1664272512.48176e12fc9523e05f1f81c8a53e8baab05fd6d5.soap@gentoo> (raw)
commit: 48176e12fc9523e05f1f81c8a53e8baab05fd6d5
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 27 09:55:12 2022 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Sep 27 09:55:12 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48176e12
net-vpn/vpnc: sync live ebuild
Signed-off-by: David Seifert <soap <AT> gentoo.org>
net-vpn/vpnc/vpnc-9999.ebuild | 29 ++++++++++++++++++++++++-----
1 file changed, 24 insertions(+), 5 deletions(-)
diff --git a/net-vpn/vpnc/vpnc-9999.ebuild b/net-vpn/vpnc/vpnc-9999.ebuild
index ba1e8a44e682..d62312b59c91 100644
--- a/net-vpn/vpnc/vpnc-9999.ebuild
+++ b/net-vpn/vpnc/vpnc-9999.ebuild
@@ -3,11 +3,21 @@
EAPI=8
-inherit git-r3 linux-info systemd tmpfiles toolchain-funcs
+inherit linux-info systemd tmpfiles toolchain-funcs
DESCRIPTION="Free client for Cisco VPN routing software"
HOMEPAGE="https://www.unix-ag.uni-kl.de/~massar/vpnc/"
-EGIT_REPO_URI="https://github.com/streambinder/vpnc.git"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/streambinder/vpnc.git"
+else
+ inherit vcs-snapshot
+ SRC_URI="
+ https://api.github.com/repos/streambinder/vpnc/tarball/fdd0de7 -> ${P}.tar.gz
+ https://dev.gentoo.org/~soap/distfiles/${PN}-0.5.3-docs.tar.xz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+fi
LICENSE="GPL-3"
SLOT="0"
@@ -29,13 +39,22 @@ BDEPEND="
CONFIG_CHECK="~TUN"
+src_unpack() {
+ if [[ ${PV} == *9999 ]]; then
+ git-r3_src_unpack
+ else
+ vcs-snapshot_src_unpack
+ mv vpnc-0.5.3-docs/src/doc/*.md "${S}"/src/doc/ || die
+ fi
+}
+
src_configure() {
tc-export CC PKG_CONFIG
export OPENSSL_GPL_VIOLATION=$(usex !gnutls)
}
src_install() {
- emake PREFIX="${EPREFIX}"/usr DESTDIR="${D}" install
+ emake PREFIX="${EPREFIX}"/usr DOCDIR='$(PREFIX)'/share/doc/${PF} DESTDIR="${D}" install
keepdir /etc/vpnc/scripts.d
newinitd "${FILESDIR}"/vpnc-3.init vpnc
@@ -44,8 +63,8 @@ src_install() {
dotmpfiles "${FILESDIR}"/vpnc-tmpfiles.conf
systemd_newunit "${FILESDIR}"/vpnc.service vpnc@.service
- # COPYING file resides here, should not be installed
- rm -r "${ED}"/usr/share/doc/vpnc/ || die
+ # LICENSE file resides here, should not be installed
+ rm -r "${ED}"/usr/share/licenses || die
}
pkg_postinst() {
next reply other threads:[~2022-09-27 9:55 UTC|newest]
Thread overview: 50+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-27 9:55 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-07 11:51 [gentoo-commits] repo/gentoo:master commit in: net-vpn/vpnc/ Sam James
2024-03-07 11:51 Sam James
2024-03-07 11:51 Sam James
2024-03-07 11:51 Sam James
2024-03-07 11:51 Sam James
2024-03-07 10:28 Sam James
2024-03-07 10:28 Sam James
2024-01-29 10:20 David Seifert
2024-01-29 10:12 David Seifert
2024-01-22 13:37 David Seifert
2024-01-22 13:37 David Seifert
2023-02-19 16:38 Sam James
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:25 Sam James
2023-01-13 18:06 Mike Gilbert
2023-01-13 18:05 Mike Gilbert
2022-11-29 18:06 WANG Xuerui
2022-09-27 9:55 David Seifert
2022-09-18 9:32 David Seifert
2022-09-17 17:08 David Seifert
2022-09-17 16:20 Sam James
2021-10-16 22:05 Sam James
2021-10-14 18:32 Sam James
2021-10-14 16:38 Sam James
2021-10-14 5:57 Agostino Sarubbo
2021-10-14 5:56 Agostino Sarubbo
2021-10-13 20:33 Sam James
2021-10-10 19:08 Mike Gilbert
2021-07-24 23:02 Marek Szuba
2020-06-15 9:58 David Seifert
2020-06-12 7:55 Agostino Sarubbo
2020-06-12 7:54 Agostino Sarubbo
2020-06-12 7:53 Agostino Sarubbo
2020-06-12 7:52 Agostino Sarubbo
2020-06-12 7:51 Agostino Sarubbo
2020-06-11 22:08 Mart Raudsepp
2020-06-11 18:01 Sergei Trofimovich
2020-04-14 9:47 David Seifert
2020-04-14 8:35 Joonas Niilola
2019-06-01 19:23 Michał Górny
2019-05-24 20:48 Aaron Bauman
2019-01-17 6:24 Matt Turner
2018-11-08 19:01 Mike Auty
2018-05-20 0:16 Aaron Bauman
2017-07-17 10:18 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1664272512.48176e12fc9523e05f1f81c8a53e8baab05fd6d5.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox